0

I successfully installed the Martfury-Marketplace Magento theme. Subsequently, I executed the command 'php bin/magento setup:di:compile', however, an error occurred as follows: enter image description here

Therefore, I fixed the issue by adhering to the following guide:- Deprecated Functionality: Optional parameter $data declared

After fixed it, enter image description here

I re-executed the command 'php bin/magento setup:di:compile' but, another error occured as follows: enter image description here

Info.php on line 83 enter image description here

Section.php on line 164 enter image description here

Anyone can help me ?

1 Answer 1

0

The error message is pretty obvious you have an issue of declaration with one of the method of your module Magefan Community. Setting the method public or removing the static should fix the issue. Provide the code and we might help more than that.

5
  • hello sir, can you tell me any solution for this problem ? how to setting the method public ?
    – Hirun
    Feb 8, 2023 at 15:36
  • well...by replacing private by public
    – Claims
    Feb 8, 2023 at 15:43
  • I apologize for the inconvenience, sir. Despite changing the declaration from private to public and after run the compile command, I am encountering an issue where the module is missing from the server.But, compilation completed successfully.
    – Hirun
    Feb 8, 2023 at 16:42
  • @Hirun Did you enabled the module ? bin/magento module:enable Vendor_Name ? Is it present in your config.php ? Is it present in the setup_module table ? What does your error says exactly now ?
    – Claims
    Feb 9, 2023 at 8:44
  • It's okay sir. I changed the magento version and now it appears to be working properly.
    – Hirun
    Feb 10, 2023 at 2:59

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.